GET /v1/service-accounts
List service accounts for the current organization

Query Parameters

limit integer optional query
Number of items (default 20, max 100)
offset integer optional query
Offset for pagination (default 0)

Responses

200 OK
application/json
code integer
data object
hasMore boolean
items object[]
Array of:
createdAt string
createdBy string
description string
disabledAt string
id string
name string
organizationId string
permissions string[]
Values org:read org:update org:delete member:invite member:remove member:update_role workflow:create workflow:read workflow:update workflow:delete
26 moreworkflow:execute workflow:publish connector:create connector:read connector:update connector:delete action:read run:read run:stream run:cancel execution:read execution:stream execution:webhook restriction:read restriction:update ai:chat wallet:withdraw action_proxy:execute apikey:create apikey:read apikey:revoke service_account:read service_account:write stats:read database:read database:update
status string
Values active disabled
updatedAt string
limit integer
offset integer
message string
requestId string
400 Bad Request
curl -X GET 'https://api.example.com/v1/service-accounts' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/service-accounts', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/service-accounts', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/service-accounts", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "hasMore": true,    "items": [      {        "createdAt": "<string>",        "createdBy": "<string>",        "description": "<string>",        "disabledAt": "<string>",        "id": "<string>",        "name": "<string>",        "organizationId": "<string>",        "permissions": [          "org:read"        ],        "status": "active",        "updatedAt": "<string>"      }    ],    "limit": 123,    "offset": 123  },  "message": "success",  "requestId": "req_123"}
Ask a question... ⌘I